
UnlikeFraction.showNumbers = function (element) {
	UnlikeFraction.directAnsFlag = true;
	$(".blink_me").removeClass("blink_me");
	$("#" + UnlikeFraction.id).css("background-color", "white");
	UnlikeFraction.id = element;
	$("#" + UnlikeFraction.id).addClass("blink_me");
	// $(".editField").css("pointer-events", "none");
	// //UnlikeFraction.contet = document.getElementById(UnlikeFraction.id).innerHTML;
	// //	document.getElementById(UnlikeFraction.id).innerHTML = "";
	// //$("#numberSystemDiv").empty();

	// //UnlikeFraction.createNumberDivs(numberSystemDiv);
	// $("#numberSystemDiv").addClass("animated zoomIn");
	// $("#numberSystemDiv").show();
	// UnlikeFraction.color = $("#" + UnlikeFraction.id).css("background-color");
	// $("#" + UnlikeFraction.id).css("background-color", "#b9b8b8");

	// setTimeout(function () {
	// 	$("#numberSystemDiv").removeClass("animated zoomIn");
	// }, 700);
}
UnlikeFraction.createNumberDivs = function (parentDiv) {
	var numberDiv; UnlikeFraction.buttonCount = 1;
	if (UnlikeFraction.id != "subDiv1" && UnlikeFraction.value != 4) {
		var i = 0, j = 0, row, span, newbutton, textNode;
		for (i = 2; i <= 5; i++) {
			row = document.createElement('div');
			row.setAttribute("id", "row" + i);
			row.setAttribute("class", "rowClass col-xs-11 col-sm-11 col-md-11 col-lg-11 nopadding");
			if (i == 1) {
				span = document.createElement('span');
				span.setAttribute("id", "closeNumberSystem");
				span.setAttribute("class", "closed close");
				span.setAttribute("onclick", "UnlikeFraction.checkAnswer();");
				span.innerHTML = "&times;";
				row.appendChild(span);
				numberSystemDiv.appendChild(row);
			}
			else {
				for (j = 1; j <= 3; j++) {
					if (UnlikeFraction.buttonCount <= 10) {
						newbutton = document.createElement('Div');
						newbutton.setAttribute("id", "buttonValue" + UnlikeFraction.buttonCount);
						newbutton.setAttribute("class", "calValuesClass noPadding col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-3 col-sm-3 col-md-3 col-lg-3 nopadding");
						if (UnlikeFraction.buttonCount == 10) {
							newbutton.setAttribute("valueCount", 0);
							textNode = document.createTextNode(0);
						}
						else {
							newbutton.setAttribute("valueCount", UnlikeFraction.buttonCount);
							textNode = document.createTextNode(UnlikeFraction.buttonCount);
						}
						newbutton.appendChild(textNode);
						newbutton.setAttribute("onclick", "UnlikeFraction.displayInTextBox(this)");
						
					}
					else {
						if (UnlikeFraction.buttonCount == 11) {
							newbutton = document.createElement('Div');
							newbutton.setAttribute("id", "buttonValue" + UnlikeFraction.buttonCount);
							newbutton.setAttribute("onclick", "UnlikeFraction.clearText();");
							newbutton.setAttribute("class", "noPadding calValuesClass calButtonClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-3 col-sm-3 col-md-3 col-lg-3 nopadding");
							
						}
						else {
							newbutton = document.createElement('Div');
							newbutton.setAttribute("id", "buttonValue" + UnlikeFraction.buttonCount);
							newbutton.setAttribute("onclick", "UnlikeFraction.checkAnswer()");
							
							newbutton.setAttribute("class", "noPadding glyphicon glyphicon-ok glyphiColor calButtonClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-3 col-sm-3 col-md-3 col-lg-3 nopadding");
						}
					}
					row.appendChild(newbutton);
					numberSystemDiv.appendChild(row);
					if (UnlikeFraction.buttonCount == 11)
						document.getElementById("buttonValue" + UnlikeFraction.buttonCount).style.backgroundImage = "url(" + Utils.Path + "images/skin/eraser.png"+")";
					else
						document.getElementById("buttonValue" + UnlikeFraction.buttonCount).style.backgroundImage = "url(" + Utils.Path + "images/skin/09.png"+")";
					UnlikeFraction.buttonCount++;
				}
			}
		}
	}
	else {
		for (var i = 0; i < 2; i++) {
			var oprDiv, row;
			row = document.createElement('div');
			row.setAttribute("id", "level" + i);
			row.setAttribute("class", "rowClass col-xs-11 col-sm-11 col-md-11 col-lg-11 nopadding");
			if (i == 0) {
				span = document.createElement('span');
				span.setAttribute("id", "closeOperators");
				span.setAttribute("class", "closed close");
				span.setAttribute("onclick", "UnlikeFraction.closeNumberSystem();");
				span.innerHTML = "&times;";
				row.appendChild(span);
				parentDiv.append(row);
			}
			else {
				for (var j = 0; j < 4; j++) {
					oprDiv = document.createElement('BUTTON');
					oprDiv.setAttribute("id", "oprDiv" + j);
					if (j == 0)
						oprDiv.setAttribute("class", "calValuesClass oprClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-2 col-sm-2 col-md-2 col-lg-2 noPadding");
					else if (j == 1)
						oprDiv.setAttribute("class", "calValuesClass oprClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-2 col-sm-2 col-md-2 col-lg-2 noPadding");
					else if (j == 2)
						oprDiv.setAttribute("class", "calValuesClass oprClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-2 col-sm-2 col-md-2 col-lg-2 noPadding");
					else
						oprDiv.setAttribute("class", "calValuesClass oprClass col-sm-offset-1 col-xs-offset-1 col-lg-offset-1 col-md-offset-1 col-xs-2 col-sm-2 col-md-2 col-lg-2 noPadding");
					oprDiv.setAttribute("onclick", "UnlikeFraction.displayInTextBox(this)");
					
					$(oprDiv).data("oprData", UnlikeFraction.operator[j]);
					$(oprDiv).text(UnlikeFraction.operator[j]);
					row.appendChild(oprDiv);
					parentDiv.append(row);
				}
			}
		}
	}
}
UnlikeFraction.closeNumberSystem = function () {
	$("#numberSystemDiv").hide();
}
UnlikeFraction.clearText = function () {
	clearTimeout(UnlikeFraction.checkFieldTimer);
	$("#" + UnlikeFraction.divSequenceArray[UnlikeFraction.blinkCnt]).text("");
	$("#ansLCM").text("");
}